> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtimelca.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ZIP of PDFs

> Downloads a ZIP archive containing all EPD (Environmental Product Declaration) PDF files associated with a given building project.



## OpenAPI

````yaml /api-reference/realtime-lca-openapi.yaml get /BuildingProject/{buildingProjectId}/epd-pdfs/zip
openapi: 3.0.0
info:
  title: Real-Time LCA REST Documentation
  version: 1.0.0
  description: >-
    ### Description 📝


    This collection contains a set of REST API requests for the Real-Time LCA
    (Life Cycle Assessment) service.


    ### Authenticate user 👤🔑


    In the `Auth` folder there's a `POST` request for authenticating the user.


    In this request body you can type in the user RTLCA user credentials
    (username & password) and a succesfull (`200 OK`) response will set the
    collection `BearerToken` variable which is then inherited by all other
    requests.
servers:
  - url: https://api.realtimelca.com/rest/api
    description: REST API.
  - url: https://api.realtimelca.com/epd/api
    description: EPD API.
  - url: https://auth.realtimelca.com/frontegg/identity/resources/auth/v1
    description: Authentication API (Frontegg identity v1).
  - url: https://realtimelca-prod.hasura.app
    description: GraphQL API (Hasura).
security:
  - BearerAuth: []
tags:
  - name: Auth
  - name: User
  - name: Overview
  - name: Project
  - name: Dashboard
  - name: Mapping
  - name: Automapping
  - name: Transport
  - name: Waste
  - name: Inspect
  - name: Report
  - name: Images
  - name: Library
  - name: Datasource
  - name: Owner
  - name: Material
  - name: Constructions
  - name: Enums
paths:
  /BuildingProject/{buildingProjectId}/epd-pdfs/zip:
    servers:
      - url: https://api.realtimelca.com/rest/api
    parameters:
      - name: buildingProjectId
        in: path
        required: true
        schema:
          type: string
        example: 997e0ea4-6dc3-413e-8ce0-56e05c60e721
    get:
      tags:
        - Project
        - Report
      summary: ZIP of PDFs
      description: >-
        Downloads a ZIP archive containing all EPD (Environmental Product
        Declaration) PDF files associated with a given building project.
      responses:
        default:
          description: Response schema not yet documented in the upstream Postman spec.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````